# Generated by Django 5.2 on 2025-04-30 11:03

import django.db.models.deletion
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('wagtailcore', '0094_alter_page_locale'),
    ]

    operations = [
        migrations.CreateModel(
            name='BaseHeaderFooterScript',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('name', models.CharField(help_text='A short name to identify the script.', max_length=255)),
                (
                    'content',
                    models.TextField(
                        help_text='The raw script content to be injected into the site.', verbose_name='Content'
                    ),
                ),
                (
                    'is_active',
                    models.BooleanField(
                        default=True, help_text='Whether the script should be included in the page output.'
                    ),
                ),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HeaderFooterScriptsSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                (
                    'site',
                    models.OneToOneField(
                        editable=False, on_delete=django.db.models.deletion.CASCADE, to='wagtailcore.site'
                    ),
                ),
            ],
            options={
                'verbose_name': 'Headers & Footers',
                'verbose_name_plural': 'Headers & Footers',
            },
        ),
        migrations.CreateModel(
            name='FooterScript',
            fields=[
                (
                    'baseheaderfooterscript_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to='wagtail_headers_footers.baseheaderfooterscript',
                    ),
                ),
                (
                    'settings',
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='footers',
                        to='wagtail_headers_footers.headerfooterscriptssettings',
                    ),
                ),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
            bases=('wagtail_headers_footers.baseheaderfooterscript',),
        ),
        migrations.CreateModel(
            name='HeaderScript',
            fields=[
                (
                    'baseheaderfooterscript_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to='wagtail_headers_footers.baseheaderfooterscript',
                    ),
                ),
                (
                    'settings',
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='headers',
                        to='wagtail_headers_footers.headerfooterscriptssettings',
                    ),
                ),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
            bases=('wagtail_headers_footers.baseheaderfooterscript',),
        ),
    ]
